EDIT - feature request #9549

Reduce visible fields for nomenclatural source and secundum source in TaxEditor
03/24/2021 11:15 AM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

Currently it shows the fields "type" and "description” for links and "original information”, "idNamespace" and "idInSource" for the

source.

All these fields are (currently) not required for a nomenclatural source and also not for a secundum source and therefore should not

be shown in the according TaxEditor fields.

If possible, the "Original Spelling” should be moved below "Link(s)"

Related issues:

Related to EDIT - bug #9573: Space between collection sections and elements a... New
Related to EDIT - feature request #9328: Adapt Editor to switch to originalSo... Closed
Related to EDIT - feature request #9836: Make nameUsedInSource available for ... Closed

Associated revisions

Revision 0e7b64fb - 03/26/2021 09:21 AM - Katja Luther

ref #9549: adapt editor to secundum as originalsource and remove unused fields

History

#1 - 03/24/2021 11:19 AM - Andreas Miiller
- File picture531-1.png added

WGB:

Wenn lhr an dieser Stelle schon am Arbeiten seid: Nochmal zum neuen Dialog, mit dem ich gar nicht gliicklich bin. Der sieht jetzt ja wie oben aus.

Ausgeklappt dann so:

+ Nomenclatural Source: in Contr. U.S. Natl. Herb. 13(9): 310, t. 66. 1911

Reference Rose in Contr. LS. Natl. Herb. 13(9). 1911 = @ ‘@

Details 310, t. 66

Original Spelling = i)}

+ Protologue/Criginal Publication + -
URI | |o|m
Type | Unknown Link Type v|
Description

Criginal Information |

ID Mamespace |

ID in Source |
Wir haben in den ganzen Kakteen weniger als Dutzend ,Original Spellings*.

Andererseits versuche ich, alle Editoren dazu zu bewegen, die ja Details-URL einzugeben — die ist ein entscheidendes Qualitatskontroll-Mittel und
—Zeichen. AuBBerdem bereits fir mindestens 70% aller botanischen Namen online vorhandenen (in BHL oder sonstwo [schétze ich]) und potentiell fur
ALLE Namen.

Das ist im allgemeinen eine einzige, selten sind’s 2, ganz selten mehr Links zu Seiten-Bildern, die Mdglichkeit der Mehrfacheingabe muss also
erhalten bleiben.

Ich wiirde (als Verbesserung der alten Variante) die URL-Eingabe gerne als ,Details-URL" direkt unter den Details sehen — das wéare dann
selbsterklarend und wiirde eine ganze Textzeile einsparen.

Das ,Original Spelling” kdnnte man entweder anschlieBen, oder sogar in ,more” einschlieBen, da es ja relativ selten ist.

Als ,more” kdnnte man dann alles weitere zusammen ausklappen, allerdings ist mir nicht klar, ob diese Details hier iberhaupt relevant sind —
,Original spelling” ware das einzige, das ich an dieser Stelle benutzen wiirde. Ich finde, , dass sich der ,Type" des Links aus der Protokollangabe
ergibt (http:, file:) und was ich an dieser Stelle dann da beschreiben soll (Description) ist mir unklar, noch unklarer sind mir (hier) die weiteren Details.
Mehrfach-Eingabe muss aber sein, wie gehabt, da es (selten) 2 oder gar mehr Seiten sein kénnen.

ERS:

ich mdchte an dieser Stelle nur daflr pladieren, das ,original spelling” zu erhalten und nicht unter ein ,more“ einzuschlieBen, von dem man Gberhaupt
nicht weil3, was sich dahinter verbergen kénnte. In einer Datenbank wie E+M benutze ich das original spelling recht haufig. Ob das Feld nun weiter
oben oder unten steht, ware mir aber nicht so wichtig. Hauptsache, der Bezug bleibt klar. Also vielleicht doch nicht zu weit weg vom Detail.

Ich stimme Walter zu, dass die weiteren Felder (Description etc.) in ihrer Bedeutung fiir den Nutzer recht unklar und méglicherweise Uberflissig sind.
Die Eingabe der URL'’s fand ich persénlich bis jetzt eher unkritisch, freue mich aber natirlich tber jede Verbesserung.
NaK:

ich wéare auch daftr, das ,original Spelling“ so zu belassen und nicht einzuklappen. Es wird fir andere Caryophyllales-Familien sicher gebraucht
werden, bei Acantholimon gab es den Fall haufig.

Und ich stimme Walter und Eckhard auch zu, dass die anderen erwahnten Felder (Description, ID..) unklar sind, vielleicht kann jemand kurz erlautern,
woflr sie eigentlich gedacht sind?

AM:

ok, dann wiirde ich daflr pladieren ,original spelling” dort zu belassen, wo es ist, da es immer ein bisschen besser ist, Einzelwerte vor Listenwerten
anzuzeigen, da sonst die Einzelwerte weit nach unten rutschen, wenn es mehrere Eintrége in die Liste (hier Protologue-URLS) gibt.

Zu Type: Das kénnen wir ersatzlos streichen. Das war eine Uberlegung aus der Zeit, als z.B. PDFs noch nicht so gut in Browsern geéffnet werden
konnten, etc.

Zu Description: Die Grundsatzliche Idee ist hier, das zu einer URL auch angegeben werden kann, was genau da verlinkt ist, was insbesondere dann
interessant sein kdnnte, wenn pro Quelle mehrere URLs angegeben sind. Auch Information Gber die Zugénglichkeit der Quelle kann da rein. Ich
dachte, dies ware ein Requirement von dir, Walter, aus der Zeit, als wir die external links das erste Mal diskutiert haben (beim Nepenthaceen Import),
wobei sich das nicht speziell auf nomenklatorische Quellen, sondern auf Quellen allgemein bezog.

Wenn es hierftr grundsétzlich keinen Bedarf gibt, oder nur bei nomenklatorischen Quellen keinen Bedarf gibt und/oder nur bei bestimmten Projekten,
kdnnen wir das auch entweder ganz I6schen, oder nur bei bestimmten Quellentypen anzeigen oder projektspezifisch anpassen.

Zu more: das sind erstmal Daten die aus der allgemeinen Quellenbehandlung kommen (intern behandeln wir ja alle Quellen gleich, egal ob
nomenklatorische Referenz oder irgendeine andere).

ID in Source und ID Namespace wird v.a. fir Importe benutzt und sollte hier eigentlich ausgeblendet werden. Wobei interessant wére zu sehen, ob
IdInSource nicht wieder interessant wird, wenn z.B. jetzt Algennamen grundsétzlich mit einem Identifier publiziert werden. Dann kénnte man den dort
eingeben. Aber derzeit brauchen wir das vermutlich im Normalfall eher nicht und sollte ausgeblendet werden.

Original Information stammt auch von den ,normalen” Quellen, wo man hin- und wieder Details zu den Originalinformationen hinterlegen will. Bei den
Cichorieen wird das z.B. genutzt, um bei Verbreitungsdaten den Originalstatus in der Quelle anzugeben, wenn die in der Cich-DB gespeicherte
Information von dieser abweicht.

Allerdings ist natirlich die Frage, ob das bei einer nomenklatorischen Quelle gebraucht wird oder nicht grundséatzlich oder per default ausgeschaltet
sein sollte.

@Katja: ich glaube wir hatten das auch schon in einem Ticket oder sonstwo diskutiert, dass die ganzen ,more” Attribute eigentlich auch ausgeblendet
werden kénnten bei nomenklatorischen Quellen, und, wenn alle ausgeblendet sind, dann auch das ,more* nicht mehr angezeigt werden sollte.

WGB:

ich denke wir haben einen Konsens, dass das ,Original spelling“ direkt zuganglich bleiben soll.

Ich finde, die ganzen weiteren Details zur URL brauchen wir hier (nom. Zitat) nicht.

Bei der Anordnung finde ich dann, dass man die URL(s) in jeweils einer Zeile mit dem Prompt ,Details URL" direkt unter Details anordnen sollte —
dann rutscht das ,Original spelling“ nur 1, manchmal 2 Zeilen nach unten.

#2 - 03/26/2021 09:59 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

this is fixed, please review.
#3 - 03/30/2021 01:03 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

This works. Only there is much space between "detail" and "Links" (for secundum reference) and between "details" and "Original Spelling" for nom.
source. Also the space between 2 URIs is pretty large. Same for the space between the last nom. source URI and the next section ("Nomenclatural
Status"). Can all theses spaced still be reduced?

#4 - 03/31/2021 10:15 AM - Katja Luther
- Status changed from Feedback to Closed
Andreas Miller wrote:
This works. Only there is much space between "detail" and "Links" (for secundum reference) and between "details" and "Original Spelling" for

nom. source. Also the space between 2 URls is pretty large. Same for the space between the last nom. source URI and the next section
("Nomenclatural Status"). Can all theses spaced still be reduced?

This is a problem we have everywhere where we use this collection elements, | have to do some research how this spaces can be reduced but this
needs some time. | create a new ticket for this and close this ticket.

#5 - 03/31/2021 10:17 AM - Katja Luther

- Related to bug #9573: Space between collection sections and elements above and behind are too large added

#6 - 06/03/2021 11:25 AM - Andreas Miiller
- Tags deleted (fast)

#7 - 10/29/2021 11:40 PM - Andreas Miiller

- Related to feature request #9328: Adapt Editor to switch to originalSource for taxon secundum added

#8 - 10/29/2021 11:50 PM - Andreas Miiller

- Related to feature request #9836: Make nameUsedInSource available for secundum references added

Files

picture531-1.png 14.5 KB 03/24/2021 Andreas Miller
